Bug 198181 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 09:08 EDT by Karsten Hopp
Modified: 2013-08-09 01:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 12:42:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 09:08:51 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.


boost-devel-1.33.1-6
undefined symbol: _Z8cpp_mainiPPc       (/usr/lib/libboost_prg_exec_monitor.so)
Comment 1 Benjamin Kosnik 2006-11-14 04:57:02 EST
This is a hook for the end-user's cpp-main. See:

http://www.boost.org/libs/test/example/prg_exec_example.cpp

Note You need to log in before you can comment on or make changes to this bug.